require([
    'branch/automerge-decorator', // TODO - put this where it belongs.
    'jquery',
    'bitbucket/internal/model/page-state'
], function(
    automergeDecorator,
    $,
    pageState
) {
    $(document).ready(function() {
        automergeDecorator.decorateDiagram($('#pull-request-merge-dialog .branch-diagram-merge'), pageState.getPullRequest());
    });
});
